Subject: Re: [bug#52109] Mention bsdcat, bsdcpio and bsdtar in description of libarchive

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 23 Jan 2023 20:29:41 +0100

Am Montag, dem 23.01.2023 um 08:45 +0100 schrieb zimoun:
> Hi Liliana,
> 
> On Sun, 22 Jan 2023 at 18:44, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> > Splitting libarchive outputs is sadly a core-updates change, but we
> > could hide the existing one and add a user-facing one with the
> > split if that's what you desire.  I don't think adding a package
> > for just the tools has merits.
> 
> Well, I think the addition of a ’bin’ outputs would be the most
> suitable, even if it is a core-updates change.
> 
> > This package/the 'bin' output also provides
> > @itemize
> > @item @command{bsdtar} and @command{bsdcpio} to pack/unpack
> > archives
> > like @command{tar} and @command{cpio} respectively, and
> > @item @command{bsdcat} to concatenate files like @command{cat}
> > does,
> > while transparently unpacking archives.
> > @end itemize
> 
> This table looks good to me.  Although Maxim pushed the v2 (which I
> find already enough :-)), it could be included for the package
> containing a ’bin’ outputs directed to core-updates.  WDYT?
I have no strong preference for either solution (with the other
solution being keeping the package as pushed by Maxim).  If you think
we should do a bin output with that description, go for it.

Cheers